Name:		lame
Version:	3.99.5
Release:	2%{?dist}
Summary:	LAME Ain't an MP3 Encoder

Group:		Applications/Multimedia
License:	GPLv2
URL:		http://lame.sourceforge.net/
Source0:	http://sourceforge.net/projects/lame/files/lame/3.99/%{name}-%{version}.tar.gz
Patch1:		%{name}-%{version}-gcc-4.1.2.patch

BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:	gtk+-devel pkgconfig
Requires:		gtk+
Requires:		%{name}-devel

%description
Originally developed by Mike Cheng (www.uq.net.au/~zzmcheng) and was
latter developed by Mark Taylor (www.mp3dev.org). Currently maintained
by The LAME Project.

This code is distributed under the GNU LIBRARY GENERAL PUBLIC LICENSE
(LGPL, see www.gnu.org), version 2.

As LAME may contain software for which some companies may claim software
patents, if you are in a location where software patents are recognized, it is
suggested that you seek legal advice before deploying and/or redistributing
LAME.

%package devel
Summary:	Libraries for lame.
Group:		Development/Libraries

%description devel
Libraries for lame.

%prep
%setup -q

%if 0%{?rhel} == 5
%patch1 -p1
%endif

%build
%configure \
	--enable-shared=yes \
	--disable-static \
	--enable-nasm \
	--enable-efence \
	--enable-mp3x \
	--enable-mp3rtp \
	--enable-dynamic-frontends \
	--enable-expopt=full \
	--with-pic \
	--with-gtk-prefix=%{_prefix} \
	--with-gtk-exec-prefix=%{_prefix}

make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

%{__rm} -rf %{buildroot}%{_datadir}/doc

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc API COPYING ChangeLog DEFINES HACKING INSTALL* LICENSE README* STYLEGUIDE TODO USAGE doc/html/*.html
%{_bindir}/lame
%{_bindir}/mp3rtp
%{_bindir}/mp3x
%{_mandir}/man1/lame.1*
%{_libdir}/libmp3lame.so.*

%files devel
%{_includedir}/lame/lame.h
%{_libdir}/libmp3lame.so

%changelog
* Fri Nov 29 2013 momo-i <webmaster@momo-i.org> - 3.99.5-2
- change files

* Fri Mar  1 2013 momo-i <webmaster@momo-i.org> 3.99.5-1
- Initial rpm release.
